# Copyright (c) 2023-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

guest_os_specific_network_configuration:
  # yamllint disable rule:line-length
  '--write /etc/netplan/config.yaml:"{{ guest.value.netplan.configuration | mandatory }}"'
  # yamllint enable rule:line-length

guest_os_specific_firstboot_commands:
  # yamllint disable rule:line-length
  - "sed /etc/apt/sources.list -i -e 's/security.debian.org\\/debian-security/security.ubuntu.com\\/ubuntu/'"
  # yamllint enable rule:line-length

guest_os_specific_debootstrap_vars:
  # Needs to be set in order for successful bootstrap
  # Cannot be completely empty, as otherwise grml-bootstrap sets the wrong value
  "DEFAULT_LOCALES=' ' DEFAULT_LANGUAGE=' '"
